Page MenuHomePhabricator

Wikimedia APIs Workshop @Wikimania Hackathon 2019
Closed, ResolvedPublic

Description

NOTE: This workshop is part of the Small Wiki Toolkits focus area at Wikimania-Hackathon-2019

This will be a beginner-level workshop for technical contributors interested in learning about Wikimedia APIs, to access and store data in Wikimedia projects. The workshop will focus on an overview of MediaWiki Action API, Wikibase API, and Commons API, and how one can use them. There will also be hands-on activities for workshop participants to get comfortable in using these APIs.

If you are interested in participating in this workshop, please show your interest by subscribing to this topic or by introducing yourself in a comment below :) Remember to bring a laptop if you have one!

Facilitators @srishakatux, @Lucas_Werkmeister_WMDE

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2019, 11:26 AM

Anyone interested in (co-)hosting this?

@johl @matthiasmullie We talked about this a bit... let's follow up if possible :-)

Hello folks! This workshop topic sounds exciting. I had plans of developing a toolkit and running a workshop around MediaWiki Action API: T225772 similar to T225771#5339609. Originally this was about Action API only. But recently I am interested in focusing on all Wikimedia APIs that might be helpful for technical contributors (particularly of small wikis).
Would there be any interest in collaborating on this topic both developing and running a workshop around Wikimedia APIs?

Hello folks! This workshop topic sounds exciting. I had plans of developing a toolkit and running a workshop around MediaWiki Action API: T225772 similar to T225771#5339609. Originally this was about Action API only. But recently I am interested in focusing on all Wikimedia APIs that might be helpful for technical contributors (particularly of small wikis).
Would there be any interest in collaborating on this topic both developing and running a workshop around Wikimedia APIs?

That sounds nice, I don't quite understand what "all Wikimedia APIs" means in your context, almost all of usages of Wikimedia APIs is through mediawiki Action APIs. We have the old REST APIs (that's going to be deprecated I guess), the new ones (that are being developed), and services API (like citoid, mathoid, ORES, etc.) Did I miss anything?

@Ladsgroup Yes, that makes sense! I was referring to the "Existing APIs" list in here: https://www.mediawiki.org/wiki/Web_APIs_hub#Internal_resources_for_developers. So, maybe Recent Changes Stream, Pageviews, Parsoid (not sure what this is based on), and OOUI?

As you mentioned that REST APIs would be deprecated soon, does that mean there is no value in including Pageviews API in the content? 
Also, the service APIs you mentioned, how likely they are to be used by small wikis, and would it make sense to include them in the content as well?

So yes, my inclination would be to focus on:

  • Action API
  • Its specific features like creating and editing pages, geosearch, recent changes, etc.
  • Show how to use data via the Action API from Wikidata, Wikimedia Commons, etc.
  • In addition to all the above, if relevant, briefly highlight any other non-Action APIs that we have discussed above (Service APIs, Recent Changes Stream, OOUI, etc.)

(note: I'm only familiar with the general use of Action APIs, not played much with Wikidata, Wikimedia Commons side of it)

Thoughts?

@Ladsgroup Yes, that makes sense! I was referring to the "Existing APIs" list in here: https://www.mediawiki.org/wiki/Web_APIs_hub#Internal_resources_for_developers.

I think that needs updating :)

So, maybe Recent Changes Stream, Pageviews

I completely forgot about EventStreams and Pageviews. Yes

Parsoid (not sure what this is based on),

Parsoid is going to get deprecated and move to mediawiki core

and OOUI?

OOUI is a library to build user interface elements. In purist meaning of API, it has an API. But it doesn't have an endpoint for people to hit to and get things back (unlike other examples you mentioned). I'm not sure if we should do it.

As you mentioned that REST APIs would be deprecated soon, does that mean there is no value in including Pageviews API in the content? 

No I meant https://en.wikipedia.org/api/rest_v1/, Pageviews API is part of AQS and it's here to stay

Also, the service APIs you mentioned, how likely they are to be used by small wikis, and would it make sense to include them in the content as well?

For small wikis I don't see much use for services except Content translation API.

So yes, my inclination would be to focus on:

  • Action API
  • Its specific features like creating and editing pages, geosearch, recent changes, etc.
  • Show how to use data via the Action API from Wikidata, Wikimedia Commons, etc.
  • In addition to all the above, if relevant, briefly highlight any other non-Action APIs that we have discussed above (Service APIs, Recent Changes Stream, OOUI, etc.)

That sounds good.

(note: I'm only familiar with the general use of Action APIs, not played much with Wikidata, Wikimedia Commons side of it)
Thoughts?

Hello! Please go ahead and add this to the program now if you like. I am officially opening the program for scheduling tomorrow but am happy if the focus areas start and put good examples of how to add sessions.
Please keep any sessions to 1 hour in length. Please link the phab task with details on how people can be involved in advance.

Thanks! :)

srishakatux renamed this task from MediaWiki and Wikidata/Wikibase/structured data APIs workshops at the Wikimania Hackathon to Wikimedia APIs Workshop @Wikimania Hackathon 2019.Aug 7 2019, 10:30 PM
srishakatux triaged this task as Medium priority.
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)
srishakatux updated the task description. (Show Details)Aug 7 2019, 10:45 PM
srishakatux added a subscriber: LucasWerkmeister.EditedAug 7 2019, 10:54 PM

Update >Wikimedia APIs toolkit is ready, and in it MediaWiki Action API, Wikidata and Wikimedia Commons are covered. Link to the PDF and source files are here:
https://drive.google.com/file/d/1Run9C774m2ZPap8UK-D-0PIGK5HkuLno/view?usp=sharing. https://docs.google.com/presentation/d/1vG1oAYuEVRU_sXFMLrX7IHroMNNSjQyKFJwY2Q6AqgM/edit. I will be uploading them to Wikimedia Commons soon.

Sadly, I didn't cover the additional APIs I discussed in this task. It felt like too much content for a 1-1.5 hr long workshop; I plan to mention them briefly.

Currently, I am discussing with @Lucas_Werkmeister_WMDE if we could run this workshop together. I've allocated ~2 hr slot for this workshop on the Hackathon schedule: https://wikimania.wikimedia.org/wiki/2019:Hackathon/program (Wednesday, August 14th b/w 14:00-16:00).

srishakatux updated the task description. (Show Details)Aug 13 2019, 7:02 PM
srishakatux closed this task as Resolved.Aug 21 2019, 6:04 AM
srishakatux claimed this task.